import { config } from "./config"

export const respath = {
  home_ui_res: "resources/Home.lh",
  topbar_ui_res: "resources/TopBar.lh",

  stage_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/Stage_H.lh" : "resources/Stage.lh"
  },

  gamepause_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/GamePause_H.lh" : "resources/GamePause.lh"
  },
  gameover_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/GameOver_H.lh" : "resources/GameOver.lh"
  },
  gamedone_ui_res: function func(isClassic: boolean): string {
    if (isClassic) {
      return config.H_SCREEN ? "resources/GameDone_Normal_H.lh" : "resources/GameDone_Normal.lh"
    } else {
      return config.H_SCREEN ? "resources/GameDone_DC_H.lh" : "resources/GameDone_DC.lh"
    }
  },

  score_add_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/ScoreAdd_H.lh" : "resources/ScoreAdd.lh"
  },

  common_tips_ui_res: "resources/CommonTips.lh",
  difficulty_ui_res: "resources/Difficulty.lh",

  dc_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/DailyChallenge_H.lh" : "resources/dc/DailyChallenge.lh"
  },
  trophy_claim_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyClaim_H.lh" : "resources/dc/TrophyClaim.lh"
  },
  trophy_show_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyShow_H.lh" : "resources/dc/TrophyShow.lh"
  },
  trophy_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoom_H.lh" : "resources/dc/TrophyRoom.lh"
  },
  trophy_year_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoomYear_H.lh" : "resources/dc/TrophyRoomYear.lh"
  },
  trophy_cell_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoomCell_H.lh" : "resources/dc/TrophyRoomCell.lh"
  },

  // ===============================
  home_top_dc_bg_normal: "atlas/images/bg_dc_top1.png",
  home_top_dc_bg_finish: "atlas/images/bg_dc_top2.png",
  dc_top_bg_normal: "atlas/images/img_dc_bg2.png",
  dc_top_bg_finish: "atlas/images/img_dc_finished.png",

  trophy_bg_light_gold: "atlas/trophys/img_trophy_bg_light_gold.png",
  trophy_bg_light_grey: "atlas/trophys/img_trophy_bg_light_gray.png",

  trophy_01: "atlas/trophys/trophy_01.png",
  trophy_02: "atlas/trophys/trophy_02.png",
  trophy_03: "atlas/trophys/trophy_03.png",
  trophy_04: "atlas/trophys/trophy_04.png",
  trophy_05: "atlas/trophys/trophy_05.png",
  trophy_06: "atlas/trophys/trophy_06.png",
  trophy_07: "atlas/trophys/trophy_07.png",
  trophy_08: "atlas/trophys/trophy_08.png",
  trophy_09: "atlas/trophys/trophy_09.png",
  trophy_10: "atlas/trophys/trophy_10.png",
  trophy_11: "atlas/trophys/trophy_11.png",
  trophy_12: "atlas/trophys/trophy_12.png"
}
